com.ihr.xbrl.mapper.instance

## Class MapperPeriod3

- java.lang.Object
- - com.ihr.xbrl.om.XMLFragment
  - - com.ihr.xbrl.mapper.instance.MapperPeriodBase
    - - com.ihr.xbrl.mapper.instance.MapperPeriod3

- All Implemented Interfaces:
    HasAdditionalEqualityForReassignation, MapperPeriod, XBRLRelationshipPoint, Thinable, XMLHasParent, java.lang.Cloneable, javax.xml.namespace.NamespaceContext

      public class MapperPeriod3
      extends MapperPeriodBase

  This class represents the content of a period that contains tokens in order to facilitate dynamic context content.
  Author:
    Ignacio

- - ### Field Summary

    - ### Fields inherited from class com.ihr.xbrl.mapper.instance.MapperPeriodBase

      `DATE_END, DATE_INSTANT, DATE_START, periodNode`

    - ### Fields inherited from class com.ihr.xbrl.om.XMLFragment

      `CONCEPT_LABEL, CONCEPT_QNAME, EASY_TO_READ, ELEMENT_LABEL, EMPTYRELATIONSHIPSITERATORINSTANCE, EMPTYXMLFRAGMENTITERATORINSTANCE, FACT_CONCEPT_DATATYPE, FACT_CONCEPT_LABEL, FACT_QNAME, HIDE_COMMON_ACCURACY, idQName, NO_POSITION, OrderComparator, OrderComparator2, PERIOD_TYPE, PERIOD_VALUE, SHORT_TEXT, SOURCE_DOCUMENT, XPATH, XPOINTER`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `MapperPeriod3(DTSContainer dts)` Creates a FOREVER period.
    `MapperPeriod3(DTSContainer dts, net.sf.saxon.s9api.XdmNode node)` Creates a XBRLPeriod reading the content of the XdmNode node supplied as a parameter.
    `MapperPeriod3(MapperPeriod3 other)` Creates an new period as a copy of the current period.
    `MapperPeriod3(XBRLPeriod period)` Instantiates a new mapper period3.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `MapperPeriod3` | `clone()` Clone.

    - ### Methods inherited from class com.ihr.xbrl.mapper.instance.MapperPeriodBase

      `equals, generateNode, getDate, getElements, getGregorianCalendarDate, getPeriodType, getRawDate, getRawDateUtil, getRawGregorianCalendarDate, getXBRLPeriod, hashCode, isDuration, isForever, isInstant, isMacroPeriod, setDate, toString`

    - ### Methods inherited from class com.ihr.xbrl.om.XMLFragment

      `addAttribute, addChild, addFromRelationship, addNamespace, addNamespace, addToRelationship, addXMLChild, changeBase, checkBase, clear, clone, delAttribute, delAttribute, equalXdmValues, evaluateBoolean, evaluateList, evaluateNode, evaluateNumber, evaluateString, generateId, generateNodeNamespacesAndAttributes, generateNodeValue, generatePrefix, getAllAttributes, getAttribute, getAttributeBooleanValue, getAttributeQNameValue, getAttributes, getAttributes, getAttributeStringValue, getAttributeValue, getBase, getBase, getBaseURI, getBooleanValue, getChild, getContainer, getContainerDocumentURI, getDeclaredNamespaces, getDocument, getElementsHashCode, getFragment, getFriendlyName, getFriendlyName, getFromRelationships, getFromRelationships, getFromRelationships, getFromRelationships, getFromRelationships, getGenericLabelText, getId, getLang, getNamespaceURI, getNodeName, getNumberOfAttributes, getNumberOfElements, getNumberOfFromRelationships, getNumberOfToRelationships, getOrGenerateId, getParent, getPrefix, getPrefixes, getQNameValue, getRelationshipsBases, getRelationshipsChain, getRelationshipTypes, getStaticContext, getStaticNamespace, getStringValue, getToolTipText, getToRelationships, getToRelationships, getToRelationships, getToRelationships, getToRelationships, getValue, getXPathExecutable, getXPathNamespaceContext, getXPathToNode, getXPathToRoot, getXPointerElementScheme, getXPointerElementScheme, getXPointerShorthandScheme, getXPointerToNode, isDead, isNamespaceDefined, isXdmDocumentAttached, objEquals, objHashCode, qNameToString, removeAttribute, removeChild, removeChild, removeFromRelationship, removeToRelationship, removeXMLChild, resetElements, resetHash, resolve_equal2, resolveHRef, resolveHRef, s_equal2, s_equal2, s_equal2, setAttributes, setBase, setDocument, setDocumentAndReload, setElements, setId, setLang, setNamespaceContext, setNamespaces, setNode, setNodeName, setParent, setRegenerateNodeIfnotFound, setValue, setValue, setVariablesDefined, size, thin, valueEquals, xEqual`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### MapperPeriod3

          public MapperPeriod3(DTSContainer dts,
                       net.sf.saxon.s9api.XdmNode node)

      Creates a XBRLPeriod reading the content of the XdmNode node supplied as a parameter.
      Parameters:
        `dts` - DTSContainer for this new period
        `node` - XdmNode XML node s9api where data will be read from

    - #### MapperPeriod3

          public MapperPeriod3(DTSContainer dts)

      Creates a FOREVER period.
      Parameters:
        `dts` - DTSContainer

    - #### MapperPeriod3

          public MapperPeriod3(MapperPeriod3 other)

      Creates an new period as a copy of the current period. This is the constructor used by clone() method but make public for convenience
      Parameters:
        `other` - XBRLPeriod

    - #### MapperPeriod3

          public MapperPeriod3(XBRLPeriod period)

      Instantiates a new mapper period3.
      Parameters:
        `period` - the period

  - ### Method Detail

    - #### clone

          public MapperPeriod3 clone()

      Description copied from interface: `MapperPeriod`
      Clone.
      Specified by:
        `clone` in interface `MapperPeriod`
      Specified by:
        `clone` in class `MapperPeriodBase`
      Returns:
        the mapper period